Patch Conflict While Applying PSU Patch 26485996 & 26519400 In WebLogic Version 12.2.1.1 & 12.2.1.2

(Doc ID 2326709.1)

Last updated on NOVEMBER 26, 2017

Applies to:

Oracle WebLogic Server - Version 12.2.1.1.0 to 12.2.1.2.0 [Release 12c]
Information in this document applies to any platform.

Symptoms

1. On: 12.2.1.1.0 version:

When attempting to apply Patch 26519400: WLS PATCH SET UPDATE 12.2.1.1.171017, the following error occurs:

ERROR
-----------------------
[30-Oct-2017 09:59:33] OUI-67303:
  Patches [ 25961827 ] will be rolled back.
[30-Oct-2017 09:59:33] Running prerequisite checks...
[30-Oct-2017 09:59:33] Space Needed : 12.576MB
[30-Oct-2017 09:59:33] Prereq checkPatchApplicableOnCurrentPlatform Passed on patch :26519400
[30-Oct-2017 09:59:33] OPatch continues with these patches: 26519400
[30-Oct-2017 09:59:33] Do you want to proceed? [y|n]
[30-Oct-2017 09:59:33] Start to wait for user-input at Mon Oct 30 09:59:33 GMT 2017
[30-Oct-2017 09:59:36] Finish waiting for user-input at Mon Oct 30 09:59:36 GMT 2017
[30-Oct-2017 09:59:36] User Responded with: N
[30-Oct-2017 09:59:36] OUI-67005:UtilSession system modification phase did not start: NApply stops on user's request.
[30-Oct-2017 09:59:36] --------------------------------------------------------------------------------
[30-Oct-2017 09:59:36] The following warnings have occurred during OPatch execution:
[30-Oct-2017 09:59:36] 1) OUI-67303:
  Patches [ 25961827 ] will be rolled back.
--------------------------------------------------------------------------------------------------------------------------------------------------------------------------

2. On 12.2.1.2.version:

When attempting to apply Patch 26485996: WLS PATCH SET UPDATE 12.2.1.2.171017, the following error occurs:

ERROR
-----------------------
Conflicts/Supersets for each patch are:

Patch : 26485996

  Conflict with 24921594
  Conflict details:
  /software/bea/Middleware/wls/12.2.1.2/wlserver/modules/com.oracle.weblogic.management.mbeanservers.jar:weblogic/management/mbeanservers/internal/PartitionJMXInterceptor$AttributeKey.class
  /software/bea/Middleware/wls/12.2.1.2/wlserver/modules/com.oracle.weblogic.management.mbeanservers.jar:weblogic/management/mbeanservers/internal/PartitionJMXInterceptor.class
  /software/bea/Middleware/wls/12.2.1.2/wlserver/modules/com.oracle.weblogic.management.mbeanservers.jar:weblogic/management/mbeanservers/internal/PartitionJMXInterceptor$IntermediateNotificationListener.class

  Bug Superset of 25871788
  Super set bugs are:
  26151991, 24817968, 26089167, 24849618, 22821346, 25078137, 24297731, 25522149, 24929178, 23101385, 25988919, 24963946, 24533963, 26151857, 26131926, 25590885, 26088242, 26088843, 25059150, 23762529, 25564218, 25203951, 24445797, 25823774, 23099318, 25743025, 25164167, 25742514, 25743005, 26138767, 25565231, 25534314


Following patches have conflicts: [ 24921594 26485996 ]
Use the MOS Patch Conflict Checker "https://support.oracle.com/epmos/faces/PatchConflictCheck" to resolve.
See MOS documents 1941934.1 and 1299688.1 for additional information and resolution methods.


UtilSession failed: Please rebuild the superset patch [26485996] to make sure it supersedes all the relevant patch(es) [25871788,24921594].
The rebuild patch should contain bug fix [24921594, 24654879, 26151991, 26044754, 24817968, 26089167, 24849618, 22821346, 25078137, 24297731, 25522149, 24929178, 23101385, 25988919, 24963946, 24533963, 26144830, 26371333, 26151857, 26131926, 26197660, 25590885, 26088242, 26088843, 25059150, 23762529, 24818026, 25564218, 21897691, 25203951, 24445797, 25823774, 23099318, 25743025, 25164167, 25742514, 25743005, 26138767, 25565231, 26075541, 25534314].

 

Changes

 

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms